Module javafx.graphics
Package javafx.scene.shape

## Class LineTo

- java.lang.Object
- - javafx.scene.shape.PathElement
  - - javafx.scene.shape.LineTo

-     public class LineTo
      extends PathElement

  Creates a line path element by drawing a straight line from the current coordinate to the new coordinates.

  For more information on path elements see the `Path` and `PathElement` classes.

  Example:

      import javafx.scene.shape.*;

      Path path = new Path();
      path.getElements().add(new MoveTo(0.0f, 50.0f));
      path.getElements().add(new LineTo(100.0f, 100.0f));

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `DoubleProperty` | `x` | Defines the X coordinate.
    `DoubleProperty` | `y` | Defines the Y coordinate.

    - ### Properties inherited from class javafx.scene.shape.PathElement

      `absolute`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LineTo()` | Creates an empty instance of LineTo.
    `LineTo​(double x, double y)` | Creates a new isntance of LineTo.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getX()` | Gets the value of the property x.
    `double` | `getY()` | Gets the value of the property y.
    `void` | `setX​(double value)` | Sets the value of the property x.
    `void` | `setY​(double value)` | Sets the value of the property y.
    `String` | `toString()` | Returns a string representation of this `LineTo` object.
    `DoubleProperty` | `xProperty()` | Defines the X coordinate.
    `DoubleProperty` | `yProperty()` | Defines the Y coordinate.

    - ### Methods inherited from class javafx.scene.shape.PathElement

      `absoluteProperty, isAbsolute, setAbsolute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### x

          public final DoubleProperty xProperty

      Defines the X coordinate.
      Default value:
        0.0
      See Also:
        `getX()`, `setX(double)`

    - #### y

          public final DoubleProperty yProperty

      Defines the Y coordinate.
      Default value:
        0.0
      See Also:
        `getY()`, `setY(double)`

  - ### Constructor Detail

    - #### LineTo

          public LineTo()

      Creates an empty instance of LineTo.

    - #### LineTo

          public LineTo​(double x,
                        double y)

      Creates a new isntance of LineTo.
      Parameters:
        `x` - the horizontal coordinate of the line end point
        `y` - the vertical coordinate of the line end point

  - ### Method Detail

    - #### setX

          public final void setX​(double value)

      Sets the value of the property x.
      Property description:
        Defines the X coordinate.
      Default value:
        0.0

    - #### getX

          public final double getX()

      Gets the value of the property x.
      Property description:
        Defines the X coordinate.
      Default value:
        0.0

    - #### xProperty

          public final DoubleProperty xProperty()

      Defines the X coordinate.
      Default value:
        0.0
      See Also:
        `getX()`, `setX(double)`

    - #### setY

          public final void setY​(double value)

      Sets the value of the property y.
      Property description:
        Defines the Y coordinate.
      Default value:
        0.0

    - #### getY

          public final double getY()

      Gets the value of the property y.
      Property description:
        Defines the Y coordinate.
      Default value:
        0.0

    - #### yProperty

          public final DoubleProperty yProperty()

      Defines the Y coordinate.
      Default value:
        0.0
      See Also:
        `getY()`, `setY(double)`

    - #### toString

          public String toString()

      Returns a string representation of this `LineTo` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `LineTo` object.